Update On Sat Jul 6 20:29:38 CEST 2024

This commit is contained in:
github-action[bot]
2024-07-06 20:29:38 +02:00
parent 06deae9882
commit 9e781f8d94
89 changed files with 2270 additions and 1471 deletions

View File

@@ -35,8 +35,6 @@ do
echo "appdmg V2rayU-64.dmg"
rm -f V2rayU-64.dmg
appdmg appdmg.json "V2rayU-64.dmg"
#rm -fr release/V2rayU.app
./sign_update "V2rayU-64.dmg"
break
;;
@@ -48,8 +46,6 @@ do
echo "appdmg V2rayU-arm64.dmg"
rm -f V2rayU-arm64.dmg
appdmg appdmg.json "V2rayU-arm64.dmg"
#rm -fr release/V2rayU.app
./sign_update "V2rayU-64.dmg"
break
;;

View File

@@ -1,10 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<dict>
<key>compileBitcode</key>
<false/>
<key>method</key>
<string>development</string>
</dict>
</plist>
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<dict>
<key>method</key>
<dict/>
<key>development</key>
<true/>
</dict>
</plist>

View File

@@ -1,13 +0,0 @@
#!/bin/bash
# publish.sh
# V2rayU
#
# Created by yanue on 2019/7/18.
# Copyright © 2019 yanue. All rights reserved.
read -p "请输入版本描述: " release_note
#pushRelease ${release_note}
generateAppcast ${release_note}
echo "Done"

View File

@@ -13,26 +13,60 @@ APP_TITLE="${APP_NAME} - V${APP_Version}"
AppCastDir=$HOME/swift/appcast
function updatePlistVersion() {
echo "Updating plist version..."
buildString=$(/usr/libexec/PlistBuddy -c "Print CFBundleShortVersionString" "${BASE_DIR}/V2rayU/${INFOPLIST_FILE}")
/usr/libexec/PlistBuddy -c "Set :CFBundleVersion $buildString" "${BASE_DIR}/V2rayU/${INFOPLIST_FILE}"
if [ $? -eq 0 ]; then
/usr/libexec/PlistBuddy -c "Set :CFBundleVersion $buildString" "${BASE_DIR}/V2rayU/${INFOPLIST_FILE}"
if [ $? -ne 0 ]; then
echo "Error: Failed to set CFBundleVersion"
exit 1
fi
else
echo "Error: Failed to read CFBundleShortVersionString"
exit 1
fi
}
function build() {
echo "Building V2rayU."${APP_Version}
echo "Building V2rayU version ${APP_Version}"
echo "Cleaning up old archive & app..."
rm -rf ${V2rayU_ARCHIVE} ${V2rayU_RELEASE}
if [ $? -ne 0 ]; then
echo "Error: Failed to clean up old archive & app"
exit 1
fi
echo "Building archive... please wait a minute"
xcodebuild -workspace ${BASE_DIR}/V2rayU.xcworkspace -config Release -scheme V2rayU -archivePath ${V2rayU_ARCHIVE} archive
if [ $? -ne 0 ]; then
echo "Error: Failed to build archive"
exit 1
fi
echo "Exporting archive..."
xcodebuild -archivePath ${V2rayU_ARCHIVE} -exportArchive -exportPath ${V2rayU_RELEASE} -exportOptionsPlist ./build.plist
if [ $? -ne 0 ]; then
echo "Error: Failed to export archive"
exit 1
fi
echo "Cleaning up archive..."
rm -rf ${V2rayU_ARCHIVE}
if [ $? -ne 0 ]; then
echo "Error: Failed to clean up archive"
exit 1
fi
echo "Setting permissions for resources..."
chmod -R 755 "${V2rayU_RELEASE}/${APP_NAME}.app/Contents/Resources/v2ray-core"
chmod -R 755 "${V2rayU_RELEASE}/${APP_NAME}.app/Contents/Resources/unzip.sh"
if [ $? -ne 0 ]; then
echo "Error: Failed to set permissions for resources"
exit 1
fi
echo "Build and export completed successfully."
}
function createDmg() {
@@ -209,9 +243,6 @@ function createDmgByAppdmg() {
echo ${BUILD_DIR}/appdmg.json
appdmg appdmg.json ${DMG_FINAL}
# appcast sign update
${AppCastDir}/bin/sign_update ${DMG_FINAL}
# umount "/Volumes/${APP_NAME}"
}
@@ -256,7 +287,7 @@ function makeDmg() {
}
#makeDmg
createDmgByAppdmg
echo 'done'

View File

@@ -1,23 +0,0 @@
#!/bin/sh
# sign.sh
# V2rayU
#
# Created by yanue on 2023/8/1.
# Copyright © 2023 yanue. All rights reserved.
set -ex
TOKEN=$1
release_id=$2
echo "token $TOKEN, release ${RELEASE_ID}"
curl -X "PATCH" "https://api.appcenter.ms/v0.1/apps/yanue/V2rayU/releases/${release_id}" \
-H "X-API-Token: $TOKEN" \
-H 'Content-Type: application/json; charset=utf-8' \
-d '{
"release_notes": "test",
"metadata": {
"ed_signature": "PW8pDnr5VZkmC93gZjUDlHI8gkJSspPoDU3DdhsMkps"
}
}'

Binary file not shown.